std::move_iterator< _Iterator >(3)

NAME
std::move_iterator< _Iterator >

SYNOPSIS

  Public Types
typedef __traits_type::difference_type difference_type
typedef __traits_type::iterator_category iterator_category
using iterator_type = _Iterator
typedef _Iterator pointer
typedef conditional< is_reference< __base_ref >::value, typename remove_reference< __base_ref >::type &&, __base_ref >::type reference
typedef __traits_type::value_type value_type

  Public Member Functions
template<typename _Iter > constexpr move_iterator (const move_iterator< _Iter > &__i)
constexpr move_iterator (iterator_type __i)
constexpr iterator_type base () const
constexpr reference operator* () const
constexpr move_iterator operator+ (difference_type __n) const
constexpr move_iterator & operator++ ()
constexpr move_iterator operator++ (int)
constexpr move_iterator & operator+= (difference_type __n)
constexpr move_iterator operator- (difference_type __n) const
constexpr move_iterator & operator-- ()
constexpr move_iterator operator-- (int)
constexpr move_iterator & operator-= (difference_type __n)
constexpr pointer operator-> () const
constexpr reference operator[] (difference_type __n) const

Detailed Description

  template<typename _Iterator>
class std::move_iterator< _Iterator >" Class template move_iterator is an iterator adapter with the same behavior as the underlying iterator except that its dereference operator implicitly converts the value returned by the underlying iterator's dereference operator to an rvalue reference. Some generic algorithms can be called with move iterators to replace copying with moving.

Definition at line 1261 of file bits/stl_iterator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.